Package org.apache.solr.common.util

## Class RetryUtil

- java.lang.Object
- - org.apache.solr.common.util.RetryUtil

    public class RetryUtil
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `RetryUtil.BooleanRetryCmd`
`static interface` `RetryUtil.RetryCmd`

### Constructor Summary

Constructors
`RetryUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `retryOnBoolean​(long timeoutms, long intervalms, RetryUtil.BooleanRetryCmd cmd)`
`static void` `retryOnException​(Class<? extends Exception> clazz, long timeoutms, long intervalms, RetryUtil.RetryCmd cmd)`
`static void` `retryOnException​(Set<Class<? extends Exception>> classes, long timeoutms, long intervalms, RetryUtil.RetryCmd cmd)`
`static void` `retryUntil​(String errorMessage, int retries, long pauseTime, TimeUnit pauseUnit, RetryUtil.BooleanRetryCmd cmd)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryUtil

    public RetryUtil()

### Method Detail

#### retryOnException

    public static void retryOnException​(Class<? extends Exception> clazz,
                                        long timeoutms,
                                        long intervalms,
                                        RetryUtil.RetryCmd cmd)
                                 throws Exception

Throws:
  `Exception`

#### retryOnException

    public static void retryOnException​(Set<Class<? extends Exception>> classes,
                                        long timeoutms,
                                        long intervalms,
                                        RetryUtil.RetryCmd cmd)
                                 throws Exception

Throws:
  `Exception`

#### retryUntil

    public static void retryUntil​(String errorMessage,
                                  int retries,
                                  long pauseTime,
                                  TimeUnit pauseUnit,
                                  RetryUtil.BooleanRetryCmd cmd)
                           throws InterruptedException

Throws:
  `InterruptedException`

#### retryOnBoolean

    public static void retryOnBoolean​(long timeoutms,
                                      long intervalms,
                                      RetryUtil.BooleanRetryCmd cmd)